Bug 80740 - hosts.lpd doesn't work as described
Summary: hosts.lpd doesn't work as described
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: rhl-sap   
(Show other bugs)
Version: 8.0
Hardware: All
OS: Linux
medium
low
Target Milestone: ---
Assignee: Ed Bailey
QA Contact: Tammy Fox
URL: http://www.redhat.com/docs/manuals/li...
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-30 18:23 UTC by Brock Sides
Modified: 2007-04-18 16:49 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-13 19:03:34 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Brock Sides 2002-12-30 18:23:52 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.0; en-US; rv:1.2.1) Gecko/20021130

Description of problem:
According to the SAP, you should add remote hosts that you wish to have printing
privileges to /etc/hosts.lpd. But this does not work. It can be made to work by
adding the line

ACCEPT SERVICE=X REMOTEHOST=</etc/hosts.lpd

to /etc/lpd.perms, before the line

REJECT SERVICE=X NOT SERVER

The documentation should be changed to note this.

Version-Release number of selected component (if applicable):
rhl-sap(EN)-8.0-HTML-RHI (2002-10-01T17:12-0400)


How reproducible:
Always

Steps to Reproduce:
1. Try adding hostname or IP to /etc/hosts.lpd.
2. Try printing from that host. It doesn't work.
3. Add the line referred to above to /etc/lpd.perms, and restart lpd.
4. You can now print from the remote host.
    

Additional info:

Comment 1 Ed Bailey 2003-01-13 19:03:34 UTC
Good catch.  It has been fixed in the manual's sources, and the version on our
website has been updated.


Note You need to log in before you can comment on or make changes to this bug.